Subject: Re: 24.0.50; doc string of `read-from-string'

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 19 Sep 2011 10:27:49 +0200

"Drew Adams" <[email-masked]> writes:

> The return value of this function is the most important info that can be
> conveyed by its doc string.  All that is said is that the value returned
> is "a cons: (OBJECT-READ . FINAL-STRING-INDEX)".  There is no
> description of either OBJECT-READ (could be guessed, but better to
> specify it) or, especially, FINAL-STRING-INDEX (not obvious at all).
>
> Describe these properly, as is done in the Elisp manual.  It is not long
> to say what the manual says for FINAL-STRING-INDEX: "an integer giving
> the position of the next remaining character in the string (i.e., the
> first one not read)."  It would be enough to say this: "zero-based
> position of first char not read".

I've now documented FINAL-STRING-INDEX.  Saying "OBJECT-READ is the
object read" seems superfluous.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/